package main

import (
	"fmt"
	"my/schet/pkg/input/conf"
	"my/schet/pkg/output/cli"
	"my/schet/pkg/schet"
	"os"
)

const (
	Год = 2024
)

func main() {
	g := schet.NewГод(Год)

	err := загрузитьКонфиг(g)
	if err != nil {
		return
	}

	вывестиГод(g)
}

func загрузитьКонфиг(g *schet.Год) error {
	config_path := os.Args[1]
	c := conf.NewConf(config_path)
	err := c.Считать()
	if err != nil {
		fmt.Printf("Чтение конфига: %v\n", err)
		return err
	}
	err = c.Загрузить(g)
	if err != nil {
		fmt.Printf("Загрузка данных: %v\n", err)
		return err
	}
	return nil
}

func вывестиГод(g *schet.Год) {
	output := cli.NewCLI()
	g.Вывести(output)
}
